<template>
  <div class="project-team">
    <div class="project-block"></div>
    <p class="theme-min-headline">项目团队</p>
    <el-card class="box-card" shadow="never">
      <div slot="header" class="clearfix">
        <span class="theme-min-headline">项目负责人</span>
      </div>
      <el-row :gutter="20">
        <el-col :span="6" v-for="(leader, index) in leaderData" :key="index">
          <el-card>
            <div>
              <img :src="leader.url" class="image" />
            </div>
            <div>
              <div class="theme-min-headline">
                <span style="padding-right:20px">{{ leader.name }}</span>
              </div>
              <div class="bottom clearfix">
                <!-- <p>职务：{{ leader.title }}</p> -->
                <p>所属单位：{{ leader.school }}</p>
                <p>专业技术职务：{{ leader.role }}</p>
                <p>行政职务: {{ leader.role1 }}</p>
              </div>
            </div>
          </el-card>
        </el-col>
      </el-row>
    </el-card>
    <el-card class="box-card" shadow="never">
      <div slot="header" class="clearfix">
        <span class="theme-min-headline">项目团队成员</span>
      </div>
      <el-row :gutter="20">
        <el-col
          :span="6"
          v-for="(leader, index) in teamData"
          :key="index"
          style="margin-top:20px"
        >
          <el-card>
            <div>
              <img :src="leader.url" class="image" width="100%" />
            </div>
            <div>
              <div class="theme-min-headline">
                <span style="padding-right:20px">{{ leader.name }}</span>
              </div>
              <div class="bottom clearfix">
                <!-- <p>职务：{{ leader.title }}</p> -->
                <p>所属单位：{{ leader.school }}</p>
                <p>专业技术职务：{{ leader.role }}</p>
                <p>行政职务: {{ leader.role1 }}</p>
              </div>
            </div>
          </el-card>
        </el-col>
      </el-row>
    </el-card>
    <el-card class="box-card" shadow="never">
      <div slot="header" class="clearfix">
        <span class="theme-min-headline">项目其他成员</span>
      </div>
      <div class="container">
        <img src="@/assets/persons/5.png" alt="" />
      </div>
    </el-card>
  </div>
</template>
<script>
export default {
  name: "projectTeam",
  data() {
    return {
      leaderData: [
        {
          name: "章熙春",
          title: "研究员",
          school: "华南理工大学",
          role: "研究员",
          role1: "学校党委书记、教育部思创中心(华南理工大学)主任",
          url: require("../../assets/persons/1.png")
        }
      ],
      teamData: [
        {
          name: "徐向民",
          title: "电子与信息学院教授",
          school: "华南理工大学电子与信息学院",
          role: "教授",
          role1: "学院党委书记",
          url: require("../../assets/persons/2.png")
        },
        {
          name: "项聪",
          title: "研究员",
          school: "华南理工大学教务处",
          role: "研究员",
          role1: "教务处处长",
          url: require("../../assets/persons/6.jpeg")
        },
        {
          name: "文宏",
          title: "教授",
          school: "华南理工大学教育部思政中心",
          role1: "教育部思创中心副主任",
          role: "教授",
          url: require("../../assets/persons/3.png")
        },
        {
          name: "张国启",
          title: "马克思主义学院教授",
          school: "华南理工大学马克思主义学院",
          role: "教授",
          role1: "副院长",
          url: require("../../assets/persons/4.png")
        }
      ]
    };
  }
};
</script>
<style lang="scss">
.project-team {
  .el-card {
    border: 0;
  }
  .el-card__header {
    border-bottom: 0px !important;
    border-left: 5px solid #e72324;
    text-align: left;
  }
  .bottom {
    text-align: left;
  }
}
.container {
  text-align: left;
}
.image {
  width: 250px;
  height: 250px;
}
</style>
